Loading...
Searching...
No Matches
osmo_iuup_instance Struct Reference

## Data Fields

struct osmo_iuup_rnl_config | config
struct osmo_fsm_inst * | fi
uint8_t | mode_version
struct { |
struct osmo_timer_nt init |
struct osmo_timer_nt ta |
struct osmo_timer_nt rc |
} | timer
osmo_prim_cb | user_prim_cb
void * | user_prim_priv
osmo_prim_cb | transport_prim_cb
void * | transport_prim_priv
uint8_t | type14_fn

## Field Documentation

## config

struct osmo_iuup_rnl_config osmo_iuup_instance::config

Referenced by irp_init_ind_alloc(), iuup_fsm_init(), iuup_fsm_init_on_enter(), iuup_fsm_null(), iuup_fsm_timer_cb(), iuup_rx_initialization(), retransmit_initialization(), rnl_to_tnl_data(), and tnp_ctrl_init_alloc().

## fi

struct osmo_fsm_inst* osmo_iuup_instance::fi

Referenced by iuup_fsm_init(), iuup_fsm_init_on_enter(), iuup_fsm_null(), iuup_fsm_smpsdu_data(), iuup_fsm_timer_cb(), iuup_rx_initialization(), osmo_iuup_instance_alloc(), osmo_iuup_instance_free(), osmo_iuup_rnl_prim_down(), osmo_iuup_tnl_prim_up(), and retransmit_initialization().

## init

struct osmo_timer_nt osmo_iuup_instance::init

Referenced by iuup_fsm_init(), iuup_fsm_init_on_enter(), iuup_fsm_timer_cb(), and retransmit_initialization().

## mode_version

uint8_t osmo_iuup_instance::mode_version

Referenced by irp_init_ind_alloc(), itp_ctrl_ack_alloc(), iuup_rx_initialization(), and tnp_ctrl_nack_alloc().

## rc

struct osmo_timer_nt osmo_iuup_instance::rc

## ta

struct osmo_timer_nt osmo_iuup_instance::ta

## [struct]

struct { ... } osmo_iuup_instance::timer

Referenced by iuup_fsm_init(), iuup_fsm_init_on_enter(), iuup_fsm_timer_cb(), and retransmit_initialization().

## transport_prim_cb

osmo_prim_cb osmo_iuup_instance::transport_prim_cb

Referenced by iuup_fsm_smpsdu_data(), iuup_rx_initialization(), osmo_iuup_instance_set_transport_prim_cb(), and retransmit_initialization().

## transport_prim_priv

void* osmo_iuup_instance::transport_prim_priv

Referenced by iuup_fsm_smpsdu_data(), iuup_rx_initialization(), osmo_iuup_instance_set_transport_prim_cb(), and retransmit_initialization().

## type14_fn

uint8_t osmo_iuup_instance::type14_fn

Referenced by iuup_fsm_init_on_enter(), and tnp_ctrl_init_alloc().

## user_prim_cb

osmo_prim_cb osmo_iuup_instance::user_prim_cb

Referenced by iuup_fsm_init(), iuup_fsm_smpsdu_data(), iuup_fsm_timer_cb(), iuup_rx_initialization(), and osmo_iuup_instance_set_user_prim_cb().

## user_prim_priv

void* osmo_iuup_instance::user_prim_priv

Referenced by iuup_fsm_init(), iuup_fsm_smpsdu_data(), iuup_fsm_timer_cb(), iuup_rx_initialization(), and osmo_iuup_instance_set_user_prim_cb().

The documentation for this struct was generated from the following file:

- src/gsm/iuup.c